> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getL1BatchDetails

> Returns data pertaining to a specific L1 batch



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getL1BatchDetails
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getL1BatchDetails:
    post:
      tags:
        - ZKSync API
      summary: zks_getL1BatchDetails
      description: Returns data pertaining to a specific L1 batch
      operationId: zks_getL1BatchDetails
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getL1BatchDetails
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Call parameters
                  default:
                    - 1
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: zks_getL1BatchDetails
              params:
                - 1
      responses:
        '200':
          description: Returns the details of the L1 batch
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/L1BatchDetailsResponse'
              example:
                jsonrpc: '2.0'
                result:
                  baseSystemContractsHashes:
                    bootloader: >-
                      0x010007fcd651b289b6490bd5c486c8e4991528709311b88d821e55dc7f9fb9d8
                    defaultAa: >-
                      0x0100066a8106bcdf1ce55cc99fa43c0f23d883755572b17e9a00d8cfa8f145f6
                  commitTxHash: >-
                    0xb5f9b86c661053e7d7e864f11bc33bf9fa2c6dc9d5432cf0fa7bf0bce5921747
                  committedAt: '2023-10-18T14:00:33.546988Z'
                  executeTxHash: >-
                    0x2a7ab1ccf99cb20765f3ae5b079a9be8c77df3b84fe1e237c262cb0b7d92e4c6
                  executedAt: '2023-10-18T14:05:38.651462Z'
                  l1GasPrice: '0x2a0aafd7c'
                  l1TxCount: '0x1'
                  l2FairGasPrice: '0x5f5e100'
                  l2TxCount: '0x2'
                  number: '0x1'
                  proveTxHash: >-
                    0xc47a5a9407df1c95e71a9de9e7dba8e28a6922e55a99cf8d7f9d706afc89958c
                  provenAt: '2023-10-18T14:03:11.398461Z'
                  rootHash: >-
                    0x4bff3066df2ac2fbf2d8c1267ce9afab85a8e8b406ab849f94f4defcb618a4b8
                  status: verified
                  timestamp: '0x6530111a'
                id: 1
components:
  schemas:
    L1BatchDetailsResponse:
      $ref: 552de7fc-7372-4838-9403-030d7062f99f

````